import { CredentialProvider } from "@aws-sdk/types";
import { FromWebTokenInit } from "./fromWebToken";
export interface FromTokenFileInit extends Partial<Pick<FromWebTokenInit, Exclude<keyof FromWebTokenInit, "webIdentityToken">>> {
    /**
     * File location of where the `OIDC` token is stored.
     */
    webIdentityTokenFile?: string;
}
/**
 * Represents OIDC credentials from a file on disk.
 */
export declare const fromTokenFile: (init: FromTokenFileInit) => CredentialProvider;
